<?php

namespace Drupal\opensearch_views\Plugin\views\argument;

use Drupal\views\Plugin\views\argument\ArgumentPluginBase;

/**
 * Argument handler for OpenSearch.
 *
 * @ViewsArgument("opensearch_argument")
 */
class OpenSearchArgument extends ArgumentPluginBase {

  /**
   * {@inheritdoc}
   */
  public function query($group_by = FALSE) {
    $this->ensureMyTable();
    
    if (!$this->argument) {
      return;
    }
    
    $this->query->addWhere(1, $this->realField, $this->argument, '=');
  }
}
