<?php

namespace Drupal\opensearch_views\Plugin\views\sort;

use Drupal\views\Plugin\views\sort\SortPluginBase;

/**
 * Sort handler for OpenSearch.
 *
 * @ViewsSort("opensearch_sort")
 */
class OpenSearchSort extends SortPluginBase {

  /**
   * {@inheritdoc}
   */
  public function query() {
    $this->ensureMyTable();
    
    $this->query->addOrderBy($this->table, $this->field, $this->options['order']);
  }

}
